Bug 1649577 - Review Request: jmc-core - Core API for Java Mission Control
Summary: Review Request: jmc-core - Core API for Java Mission Control
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jie Kang
QA Contact: Fedora Extras Quality Assurance
URL: http://openjdk.java.net/projects/jmc/
Whiteboard:
Depends On: 1649569
Blocks: 1649552
TreeView+ depends on / blocked
 
Reported: 2018-11-13 22:14 UTC by Salman Siddiqui
Modified: 2018-11-27 16:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:33:45 UTC
jkang: fedora-review+


Attachments (Terms of Use)
rpmlint - SPEC (119 bytes, text/plain)
2018-11-13 22:16 UTC, Salman Siddiqui
no flags Details
rpmlint - SRPM (155 bytes, text/plain)
2018-11-13 22:16 UTC, Salman Siddiqui
no flags Details
rpmlint - RPM (98 bytes, text/plain)
2018-11-13 22:17 UTC, Salman Siddiqui
no flags Details

Description Salman Siddiqui 2018-11-13 22:14:47 UTC
Spec URL: https://pagure.io/jmc-rpm/blob/master/f/jmc-core/jmc-core.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sasiddiq/jmc/fedora-29-x86_64/00823530-jmc-core/jmc-core-7.0.0-1.fc29.src.rpm

Description: Just submitted my first package. I am seeking a sponsor.
Java Mission Control is an advanced set of tools that enables efficient and 
detailed analysis of the extensive data collected by Java Flight Recorder. 
The tool chain enables developers and administrators to collect and analyze data 
from Java applications running locally or deployed in production environments.

Fedora Account System Username: sasiddiq
Successful Copr Build: https://copr.fedorainfracloud.org/coprs/sasiddiq/jmc/build/823530/

Comment 1 Salman Siddiqui 2018-11-13 22:16:31 UTC
Created attachment 1505469 [details]
rpmlint - SPEC

Comment 2 Salman Siddiqui 2018-11-13 22:16:44 UTC
Created attachment 1505470 [details]
rpmlint - SRPM

Comment 3 Salman Siddiqui 2018-11-13 22:17:04 UTC
Created attachment 1505471 [details]
rpmlint - RPM

Comment 5 Jie Kang 2018-11-21 15:38:29 UTC
JMC 7.0.0 is not yet released and the repository is in SNAPSHOT mode. Following [1] I think it makes sense to have snapshot information in the Release tag.

[1] https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots

Comment 6 Mario Torre 2018-11-21 15:48:54 UTC
(In reply to Jie Kang from comment #5)
> JMC 7.0.0 is not yet released and the repository is in SNAPSHOT mode.
> Following [1] I think it makes sense to have snapshot information in the
> Release tag.
> 
> [1] https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots

Makes sense, we can use SNAPSHOT or Prerelease versioning I believe, we need to be careful that when the package is released it will update the pre-release though, I don't think we want both version to co-exist at this time, which is something we may want to do with released major versions of JMC.

Comment 7 Severin Gehwolf 2018-11-21 17:18:17 UTC
# original source: http://hg.openjdk.java.net/jmc/jmc/archive/tip.tar.gz
Source0:	jmc-core-7.0.0.tar.gz

This won't work. Sources need to be reproducible. The only way to do this is to use specific revisions/tags and a script to produce the tarball. tip.tar.gz will be different at time A and time A + a month.

Comment 8 Salman Siddiqui 2018-11-21 17:23:29 UTC
There is a script that is used to produce the tarball (it downloads a specific revision, NOT the tip):
https://pagure.io/jmc-rpm/blob/master/f/jmc-core/generate_jmc_core_tarball.sh

Would it be better to include this script in the comments directly in the spec file?

Comment 9 Severin Gehwolf 2018-11-21 17:53:12 UTC
(In reply to Salman Siddiqui from comment #8)
> There is a script that is used to produce the tarball (it downloads a
> specific revision, NOT the tip):
> https://pagure.io/jmc-rpm/blob/master/f/jmc-core/generate_jmc_core_tarball.sh
> 
> Would it be better to include this script in the comments directly in the
> spec file?

Yes, a comment needs to be added to the spec file how to generated the source tarball. See this for example:
https://src.fedoraproject.org/rpms/objectweb-asm/blob/master/f/objectweb-asm.spec#_12

The script should be included in the srpm.

Comment 11 Jie Kang 2018-11-23 16:57:00 UTC
jmc-core Package Review 1
=========================

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "EPL (v1.0) BSD (3 clause)", "Unknown or
     generated". 57 files have unknown license. Detailed output of
     licensecheck in /home/jkang/Work/fedora-reviews/jmc-
     core/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jmc-
     core-javadoc
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Rpmlint
-------
Checking: jmc-core-7.0.0-1.20181017hgecb68ef82eb7.fc28.noarch.rpm
          jmc-core-javadoc-7.0.0-1.20181017hgecb68ef82eb7.fc28.noarch.rpm
          jmc-core-7.0.0-1.20181017hgecb68ef82eb7.fc28.src.rpm
jmc-core.noarch: W: incoherent-version-in-changelog 7.0.0-1 ['7.0.0-1.20181017hgecb68ef82eb7.fc28', '7.0.0-1.20181017hgecb68ef82eb7']
jmc-core.noarch: W: invalid-license UPL
jmc-core-javadoc.noarch: W: invalid-license UPL
jmc-core.src: W: invalid-license UPL
jmc-core.src: W: invalid-url Source0: jmc-core-7.0.0.tar.gz
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
jmc-core.noarch: W: incoherent-version-in-changelog 7.0.0-1 ['7.0.0-1.20181017hgecb68ef82eb7.fc28', '7.0.0-1.20181017hgecb68ef82eb7']
jmc-core.noarch: W: invalid-license UPL
jmc-core.noarch: W: invalid-url URL: http://openjdk.java.net/projects/jmc/ <urlopen error [Errno -2] Name or service not known>
jmc-core-javadoc.noarch: W: invalid-license UPL
jmc-core-javadoc.noarch: W: invalid-url URL: http://openjdk.java.net/projects/jmc/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
jmc-core (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.owasp.encoder:encoder)
    osgi(org.junit)
    osgi(org.openjdk.jmc.common)
    osgi(org.openjdk.jmc.common.test)
    osgi(org.openjdk.jmc.flightrecorder)
    osgi(org.openjdk.jmc.flightrecorder.rules)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk)

jmc-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
jmc-core:
    jmc-core
    mvn(org.openjdk.jmc:common)
    mvn(org.openjdk.jmc:common.test)
    mvn(org.openjdk.jmc:common.test:pom:)
    mvn(org.openjdk.jmc:common:pom:)
    mvn(org.openjdk.jmc:flightrecorder)
    mvn(org.openjdk.jmc:flightrecorder.rules)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk.test)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules.test)
    mvn(org.openjdk.jmc:flightrecorder.rules.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules:pom:)
    mvn(org.openjdk.jmc:flightrecorder.test)
    mvn(org.openjdk.jmc:flightrecorder.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder:pom:)
    mvn(org.openjdk.jmc:missioncontrol.core.tests:pom:)
    mvn(org.openjdk.jmc:missioncontrol.core:pom:)
    osgi(org.openjdk.jmc.common)
    osgi(org.openjdk.jmc.common.test)
    osgi(org.openjdk.jmc.flightrecorder)
    osgi(org.openjdk.jmc.flightrecorder.rules)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk.test)
    osgi(org.openjdk.jmc.flightrecorder.rules.test)
    osgi(org.openjdk.jmc.flightrecorder.test)

jmc-core-javadoc:
    jmc-core-javadoc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -L rpms/ --rpm-spec -n ./srpms/jmc-core-7.0.0-1.20181017hgecb68ef82eb7.fc29.src.rpm
Buildroot used: fedora-28-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Jie Kang 2018-11-26 15:42:36 UTC
Following the sample [1], please include a .sh script in the srpm that users can run without modification to acquire the sources.

The comments in the spec [2] aren't useful as users can't copy-paste and run them without a large amount of modification to acquire the source.

[1]
https://src.fedoraproject.org/rpms/objectweb-asm/blob/master/f/objectweb-asm.spec#_12

[2]
# original source: http://hg.openjdk.java.net/%%{name}/%%{name}/archive/%%{hgrevhash}.tar.gz
#   wget http://hg.openjdk.java.net/%%{name}/%%{name}/archive/%%{hgrevhash}.tar.gz
#   tar xzf %%{hgrevhash}.tar.gz
#   rm %%{hgrevhash}.tar.gz
#   cp -r %%{name}-%%{hgrevhash}/core/ %%{name}-%%{version}/
#   cp %%{name}-%%{hgrevhash}/license/* %%{name}-%%{version}/
#   cp %%{name}-%%{hgrevhash}/README.md %%{name}-%%{version}/
#   tar czf %%{name}-%%{version}.tar.gz %%{name}-%%{version}/
#   rm -r %%{name}-%%{version}/ %%{name}-%%{hgrevhash}
Source0:  %{name}-%{version}.tar.gz

Comment 14 Jie Kang 2018-11-26 17:44:02 UTC
jmc-core Package Review 2
=========================

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "EPL (v1.0) BSD (3 clause)", "Unknown or
     generated". 59 files have unknown license. Detailed output of
     licensecheck in /home/jkang/Work/fedora-reviews/jmc-
     core/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jmc-
     core-javadoc
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: jmc-core-7.0.0-1.20181122hg9aa7085f938b.fc28.noarch.rpm
          jmc-core-javadoc-7.0.0-1.20181122hg9aa7085f938b.fc28.noarch.rpm
          jmc-core-7.0.0-1.20181122hg9aa7085f938b.fc28.src.rpm
jmc-core.noarch: W: invalid-license UPL
jmc-core-javadoc.noarch: W: invalid-license UPL
jmc-core.src: W: invalid-license UPL
jmc-core.src: W: strange-permission generate_jmc_core_tarball.sh 775
jmc-core.src: W: invalid-url Source0: jmc-core-7.0.0.tar.gz
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
jmc-core.noarch: W: invalid-license UPL
jmc-core.noarch: W: invalid-url URL: http://openjdk.java.net/projects/jmc/ <urlopen error [Errno -2] Name or service not known>
jmc-core-javadoc.noarch: W: invalid-license UPL
jmc-core-javadoc.noarch: W: invalid-url URL: http://openjdk.java.net/projects/jmc/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
jmc-core (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.owasp.encoder:encoder)
    osgi(org.junit)
    osgi(org.openjdk.jmc.common)
    osgi(org.openjdk.jmc.common.test)
    osgi(org.openjdk.jmc.flightrecorder)
    osgi(org.openjdk.jmc.flightrecorder.rules)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk)

jmc-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
jmc-core:
    jmc-core
    mvn(org.openjdk.jmc:common)
    mvn(org.openjdk.jmc:common.test)
    mvn(org.openjdk.jmc:common.test:pom:)
    mvn(org.openjdk.jmc:common:pom:)
    mvn(org.openjdk.jmc:flightrecorder)
    mvn(org.openjdk.jmc:flightrecorder.rules)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk.test)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules.jdk:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules.test)
    mvn(org.openjdk.jmc:flightrecorder.rules.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder.rules:pom:)
    mvn(org.openjdk.jmc:flightrecorder.test)
    mvn(org.openjdk.jmc:flightrecorder.test:pom:)
    mvn(org.openjdk.jmc:flightrecorder:pom:)
    mvn(org.openjdk.jmc:missioncontrol.core.tests:pom:)
    mvn(org.openjdk.jmc:missioncontrol.core:pom:)
    osgi(org.openjdk.jmc.common)
    osgi(org.openjdk.jmc.common.test)
    osgi(org.openjdk.jmc.flightrecorder)
    osgi(org.openjdk.jmc.flightrecorder.rules)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk)
    osgi(org.openjdk.jmc.flightrecorder.rules.jdk.test)
    osgi(org.openjdk.jmc.flightrecorder.rules.test)
    osgi(org.openjdk.jmc.flightrecorder.test)

jmc-core-javadoc:
    jmc-core-javadoc

Comment 15 Gwyn Ciesla 2018-11-26 18:16:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/jmc-core

Comment 16 Severin Gehwolf 2018-11-27 16:28:26 UTC
The choice of Release with 1.<something> wasn't ideal. Be sure to bump the release to -2 once 7.0.0 is actually released:

$ rpmdev-vercmp 0:7.0.0-1.20181122hg9aa7085f938b.fc29 0:7.0.0-1.fc29
0:7.0.0-1.20181122hg9aa7085f938b.fc29 > 0:7.0.0-1.fc29

If 0 instead of 1 would have been chosen one gets:

$ rpmdev-vercmp 0:7.0.0-0.20181122hg9aa7085f938b.fc29 0:7.0.0-1.fc29
0:7.0.0-0.20181122hg9aa7085f938b.fc29 < 0:7.0.0-1.fc29


Note You need to log in before you can comment on or make changes to this bug.